LINUX.ORG.RU

Awn 0.4.0 Final

 , ,


0

0

После 14 месяцев разработки вышел финальный релиз док-панели Awn и её дополнений.

В этой версии:

  • возможность расположения дока на любой стороне рабочего места
  • добавлены стили фона панели: Flat, Edgy, 3D, Curved, Floaty
  • возможность расположения по всей ширине/высоте экрана
  • автоскрытие полностью переработано (добавлено «умное» (Intellihide Window) и «хитрое скрытие» (Dodge)
  • исправлено отображение индикаторов загрузки и сбоев
  • возможность выравнивания панели по центру стороны рабочего места
  • соответствие цвета дока цветам окружающей темы
  • добавлено 4 темы
  • большинство иконок можно изменить перетащив на них значок файла
  • базовая поддержка окружений рабочего стола без эффектов (compositing)
  • добавлен апплет для быстрого изменения ориентации панели
  • апплет менеджера задач теперь поддерживает группировку окон

Замечания:

  • изменено местоположение файлов конфигурации (при обновлении придется всё настроить снова)
  • не совместимы темы от предыдущих версий

Также добавлен ряд новые апплетов, в наличии значительные изменения в существующих апплетах.

Скачать (avant-window-navigator-0.4.0.tar.gz)

>>> Подробности

★★★★★

Проверено: maxcom ()

для любителей бегать по граблям самостоятельной сборки маленький совет - почитать вот тут про сборку в gentoo

для тех кто не в gentoo - потребуется vala 0.7.10 (0.8.0 не соберет) для сборки desktop-agnostic

Sylvia ★★★★★ ()

Ура!! Разрабам респект!! Когда новые тему появятся?

anonymous ()

?

Спасибо за новость

--
Вот вопрос есть , который меня давно интересует:
подскажите, пожалуйста, можно ли избавиться от всплывающих подсказок, сообщений от awn при наведении курсором на задачу в нем или это от темы зависит и нужно пилить саму тему?

NK ★★★★★ ()

> соответствие дока с цветами окружающей темы

соответствие [цвета] дока цветам окружающей темы

nnm ()

обрадовало только это:

Basic support for environments without compositing (desktop-effects)

aydar ★★★★★ ()

Отлично! Надеюсь, скоро будет в арче, а то не хочу из АУРа ставить.

Hetor ()
.-(~)---------------------------------------------------------(root@persephone)-
`--# apt-get install avant-window-navigator
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
avant-window-navigator-data gconf2 gconf2-common gnome-mime-data
libavahi-client3 libavahi-common-data libavahi-common3 libavahi-glib1
libawn0 libbonobo2-0 libbonobo2-common libbonoboui2-0 libbonoboui2-common
libfam0 libgconf2-4 libgnome-desktop-2 libgnome-keyring0 libgnome2-0
libgnome2-common libgnomecanvas2-0 libgnomecanvas2-common libgnomeui-0
libgnomeui-common libgnomevfs2-0 libgnomevfs2-common libhal-storage1
liborbit2 libwnck-common libwnck22 libxres1 shared-mime-info
Suggested packages:
libbonobo2-bin desktop-base gnome-icon-theme libgnomevfs2-bin
Recommended packages:
awn-manager awn-applets-python-core awn-applets-c-core fam gnome-keyring
libgnomevfs2-extra gnome-mount
The following NEW packages will be installed:
avant-window-navigator avant-window-navigator-data gconf2 gconf2-common
gnome-mime-data libavahi-client3 libavahi-common-data libavahi-common3
libavahi-glib1 libawn0 libbonobo2-0 libbonobo2-common libbonoboui2-0
libbonoboui2-common libfam0 libgconf2-4 libgnome-desktop-2 libgnome-keyring0
libgnome2-0 libgnome2-common libgnomecanvas2-0 libgnomecanvas2-common
libgnomeui-0 libgnomeui-common libgnomevfs2-0 libgnomevfs2-common
libhal-storage1 liborbit2 libwnck-common libwnck22 libxres1 shared-mime-info
0 upgraded, 32 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/10.9MB of archives.
After this operation, 44.1MB of additional disk space will be used.
Do you want to continue [Y/n]? ^C

И без него неплохо =)

GotF ★★★★★ ()

судя по обзору, разработчики хорошо поработали

Genuine ★★★ ()

'это тот кошмар, который тянет половину гнума? не нужно, есть Cairo-Dock.

duott ★★★★★ ()

Отличная панелька на которую можно перейсти с убогой гномопанели.

Reaper ★★ ()
Ответ на: комментарий от duott

Плюсую за cairo-dock
А AWN - конечно, неплох, но тянет за собой столько металлолома...

Marmirus ★★ ()

перделка детектед

anonymous ()

Хотел собрать deb для этого чуда - но таки не осилил собрать все зависимости..

При попытке собрать сам awn ...

checking for AWN... configure: error: Package requirements (glib-2.0 >= 2.16.0 gthread-2.0 gobject-2.0 desktop-agnostic >= 0.3.9 gtk+-2.0 >= 2.12.0 gdk-2.0 >= 2.12.0 dbus-glib-1) were not met:

No package 'desktop-agnostic' found

Т.е. пакет desktop-agnostic в debian testing отсутствует, искал в бекпортах там тоже нету..

Ладно.. решил собрать его ('desktop-agnostic'), но блин и тут пипец.

fakeroot dpkg-buildpackage

........ поскипано

dpkg-buildpackage: установка CFLAGS в значение по умолчанию: -g -O2
dpkg-buildpackage: архитектура хоста i386
dpkg-checkbuilddeps: Неудовлетворённые сборочные зависимости: gobject-introspection-glib-2.0 gobject-introspection-freedesktop gobject-introspection-repository libgirepository1.0-dev (>= 0.6.3)
dpkg-buildpackage: предупреждение: Неудовлетворительные зависимости/конфликты при сборке, останов.
dpkg-buildpackage: предупреждение: (Используйте параметр -d, чтобы продолжить сборку.)
Блин .. эти пакеты вообще деприкаты..

Короче есть кто у кого получилось собрать сие чудо в дебиане.?

Valor ()
Ответ на: комментарий от QUANTUM

Вас никто и не заставляет его юзать. Как говорится: На вкус и цвет, у каждого своя конопля... ;)

Megabit ★★★ ()
Ответ на: комментарий от duott

не тянет, пинайте пакетосборшиков, привязка к Gnome опциональна,
тянет только gir-repository из гнума

Sylvia ★★★★★ ()
Ответ на: комментарий от Valor

gir-repository
vala 0.7.10 (!)
desktop-agnostic

потом уже собираете awn, соберите руками gir-repository, все равно desktop-agnostic собираете

Sylvia ★★★★★ ()

Классная вещь, последнее время только его и использую. Причем как оказалось именно 0.4 версию.

proDOOMman ★★ ()

Уважаемые, а индикатор раскладки клавиатуры в нем нормально работает или мне стоит проверить руки? Еще вопрос, кто пользуется pidgin-ом и сабжем, как организована индикация о новых сообщениях (трея то нет).

vadik ★★ ()
Ответ на: комментарий от Valor

> Хотел собрать deb для этого чуда - но таки не осилил собрать все зависимости..

При попытке собрать сам awn ...

Ладно.. решил собрать его ('desktop-agnostic'), но блин и тут пипец.


Блин .. эти пакеты вообще деприкаты..



«Это наш юниксвэй, сынок!» ане(к)дот :)))))

Вот когда мне в стотыщный раз надоело «удовлетворять зависимости» (а вазелин кончился), я и стал сишарпить. О, какое это было наслаждение!.... :)))

Господа линуксоиды, ну вот объясните: что, если есть либа 1.17.5, а пакету требуется 1.17.8, что, это ТАК ВАЖНО?! Я правильно понимаю, что динамические пакеты придумали не только для уменьшения кода, но и для вот таких «слабых» зависимостей: чтобы можно было юзать ЛЮБУЮ либу как минимум версии 1.17.* ?

matumba ★★★★★ ()
Ответ на: комментарий от matumba

> Вот когда мне в стотыщный раз надоело «удовлетворять зависимости» (а вазелин кончился), я и стал сишарпить. О, какое это было наслаждение!.... :)))

А куда у тебя делись зависимости в CLR? >_<

sv75 ★★★★★ ()

Лучший и самый доделанный из доков на нынешний момент, с ним можно безболезненно отказаться от gnome/xfce4 панелей и юзать под приложения 100% экрана.

Lennox ★★★★★ ()
Ответ на: комментарий от Hetor

> Отлично! Надеюсь, скоро будет в арче, а то не хочу из АУРа ставить.
Уже.

По сабжу

возможность расположения дока на любой стороне рабочего места

добавлены стили фона панели: Flat, Edgy, 3D, Curved, Floaty


возможность расположения по всей ширине/высоте экрана


автоскрытие полностью переработано (добавлено «умное» (Intellihide Window) и «хитрое скрытие» (Dodge)


возможность выравнивания панели по центру стороны рабочего места


Где-то всё это я уже видел... Или я с другим доком перепутал? Этого точно не было в предыдущем релизе awn?

KevinDetry ()

Юзал когда-то, но потом перешел на cairo-dock. Ибо он круче

goingUp ★★★★★ ()

Долго юзал его. Но потом перешел на панель GNOME и не почувствовал разницы. Хотя... тормоза исчезли. И оформление теперь всюду системное. :)

Jayrome ★★★★★ ()

оно хотя бы до OS X 10.4 по удобству доросло?

thevery ★★★★ ()

Все это есть в Docky. И он не настолько свисто-перделочен.

anonymous ()

Тысячу раз пробовал авн и каиро-док, так и не нашёл плюсов перед стандартной хфцешной панелью.

anonymous ()

меня просто аццки раздражает, как устроена система показа активных окон. если приложения часто запускаются или закрываются, то эта панелька начинает достаточно сильно косячить из стороны в сторону, что совсем неудобно.

пришлось ее выключить и перейти на Alt+Tab и Super-Tab.

awesome ()

а я вроде все перепробовал и остановился в итоге на Do. эта панелька показалась мне наименее глючной.

Ingwar ★★★★★ ()
Ответ на: комментарий от anonymous

Все это есть в Docky. И он не настолько свисто-перделочен.

Docky по функционалу до нового AWN еще далеко.

Lennox ★★★★★ ()
Ответ на: комментарий от duott

>> не нужно, есть Cairo-Dock.

Оно, конечно, блестит, переливается и радует обилием настроек любого кдешника, но..

http://rghost.net/1374858.view

Слева gnome-do, справа - cairo-dock. В обоих размер иконки указан 48. И еще у него иногда шрифты в пиксели не попадают. Выглядит отвратительно.

anonymous ()
Ответ на: комментарий от KevinDetry

>Этого точно не было в предыдущем релизе awn?

Это было в бетах и RC 0.4.

Hetor ()
Ответ на: комментарий от KevinDetry

>Уже.

Спасибо, поставил. Вот только куда они трей дели?

Hetor ()
Ответ на: комментарий от Hetor

Не знаю, не пользуюсь) Ну разве что пытался прикрутить сабж к самодельному арчевскому liveusb. Узнал о новой версии, когда мне bauerbill при Rebasing написал.

Это было в бетах и RC 0.4.

Значит, я таки спутал сабж с Docky.

KevinDetry ()
Ответ на: комментарий от matumba

> Господа линуксоиды, ну вот объясните: что, если есть либа 1.17.5, а пакету требуется 1.17.8, что, это ТАК ВАЖНО?!

Ну какая фигня, что в новых версиях либы появляются новые функции. Другое дело, что зачастую завязка на новые функции неоправдана. Или вообще требование более новой версии надуманна. valide требовала версию vala из svn из за трех строчек в коде с синтаксическим сахарком.

А в общем, шоите патчи...

AVL2 ★★★★★ ()
Ответ на: комментарий от KevinDetry

Трея все равно нет, он вообще в extras должен быть.

Hetor ()
Ответ на: комментарий от KevinDetry

>community/avant-window-navigator 0.4.0-1 -> 0.4.0-2

У меня что с 0.4.0-1, что с 0.4.0-2 awn-settings не запускается, GLib ругается на неизвестный ключ.

kss ★★★★★ ()
Ответ на: комментарий от kss

>У меня что с 0.4.0-1, что с 0.4.0-2 awn-settings не запускается, GLib ругается на неизвестный ключ.

desktop-agnostic как собирал? У меня была такая же проблема(дистрибутив slackware 13.0) - вылечилась сборкой с параметром --config-backends=keyfile

Vovka-Korovka ★★★★★ ()
Ответ на: комментарий от Vovka-Korovka

Никак не собирал. Он сам поставился как зависимость к awn из community. В принципе, я догадывался что дело в нем, но все-таки хотел верить в мейнтейнеров арча :)

kss ★★★★★ ()
Ответ на: комментарий от kss

Глянул сейчас как это было собрано мейнтейнером, --config-backends=keyfile как раз включен

kss ★★★★★ ()
Ответ на: комментарий от kss

libdesktop-agnostic

Мне сборка (libdesktop-agnostic) с --config-backends=keyfile помогла и дала запуск наконец таки awn

Хочу поинтересоваться, если кто знает, --vfs-backends= {gio} или {vfs} , что лучше подставить из этих значений?
(в readme зарекомендовано gio, просто возникакет вопрос: «а чем vfs плох?» ЗЫ гном не установлен, какие-то либы только)

NK ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.